[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# strend

Return a pointer to the end of a null-terminated string

## Declaration

Source position: strings.pp line 40

`function strend(`
`p: PChar`
`):PChar;`

## Description

Returns a pointer to the end of P. (i.e. to the terminating null-character.

## Errors

None.

## See also

StrLen |  | Length of a null-terminated string.

## Example

    Program Example6;

    Uses strings;

    { Program to demonstrate the StrEnd function. }

    Const P : PChar = 'This is a PCHAR string.';

    begin
      If Longint(StrEnd(P))-Longint(P)<>StrLen(P) then
        Writeln('Something is wrong here !')
      else
        Writeln ('All is well..');
    end.